<!-- Canonical: https://docs.linea.build/api/token-api/reference -->

> For the complete Linea documentation index, see [llms.txt](/llms.txt).
> Agents can fetch this page as Markdown at [https://docs.linea.build/api/token-api/reference.md](https://docs.linea.build/api/token-api/reference.md).

# Linea Token API (0.1.0)

Download OpenAPI specification:[Download](https://token-api.linea.build/docs-yaml)

API to access token information on Linea, including prices, traded tokens and top movers over 24h.

## [](#tag/Tokens)Tokens

## [](#tag/Tokens/operation/TokensController_findTokens)Get tokens

Retrieve a list of tokens based on the provided query parameters

##### query Parameters

- page: number [ 1 .. 1000 ] Default: 1 Page number

- limit: number [ 1 .. 100 ] Default: 50 Number of items per page

- isSecure: boolean Filter tokens secure tokens

- addresses: string <= 100 items List of tokens addresses (comma-separated)

- order: string (OrderColumns) Enum: "name" "symbol" "decimals" "contractAddress" "currentPrice" "priceUpdatedAt" "createdAt" "updatedAt" "last24hVariation" "last24hVariationAbsolute" "sells" "buys" "swaps" "isPossibleSpam" "totalSupply" "fdv" Order by column

- sort: string Enum: "asc" "desc" Order sort (asc, desc)

### Responses

https://token-api.linea.build/tokens

### Response samples

-   200

Content type

application/json

```json
{"data": [{"name": "Token name","symbol": "Token symbol","decimals": 18,"logo": "https://example.com/logo.png","contractAddress": "0x1111111111111111111111111111111111111111","currentPrice": 1000,"priceUpdatedAt": "2026-05-19T13:38:03.744Z","last24hVariation": 0,"info": {"sells": 1000,"buys": 2000,"swaps": 3000,"fdv": 100000,"totalSupply": "1000000"}}],"meta": {"page": 0,"limit": 0,"totalItemsCount": 0,"pagesCount": 0}}
```

## [](#tag/Tokens/operation/TokensController_findOne)Get token by contract address

Retrieve detailed information about a specific token using its contract address

##### path Parameters

- contractAddress required: string Example: 0x1234567890123456789012345678901234567890 The Ethereum contract address of the token

### Responses

https://token-api.linea.build/tokens/{contractAddress}

### Response samples

-   200

Content type

application/json

```json
{"name": "Token name","symbol": "Token symbol","decimals": 18,"logo": "https://example.com/logo.png","contractAddress": "0x1111111111111111111111111111111111111111","currentPrice": 1000,"priceUpdatedAt": "2026-05-19T13:38:03.744Z","last24hVariation": 0,"info": {"sells": 1000,"buys": 2000,"swaps": 3000,"fdv": 100000,"totalSupply": "1000000"}}
```

## [](#tag/Prices)Prices

## [](#tag/Prices/operation/PricesController_findOne)Get hourly prices for a token

Retrieve prices over the last 24 hours for a token

##### path Parameters

- contractAddress required: string

### Responses

https://token-api.linea.build/prices/{contractAddress}

### Response samples

-   200

Content type

application/json

```json
[{"price": 1,"timestamp": "2026-05-19T13:38:03.784Z"}]
```

## [](#tag/Prices/operation/PricesController_findMany)Get hourly prices for multiple tokens

Retrieve prices over the last 24 hours for multiple tokens

##### query Parameters

- addresses required: string <= 100 items List of tokens addresses (comma-separated)

### Responses

https://token-api.linea.build/prices
